play.templates

## Class TemplateCompiler

- java.lang.Object
- - play.templates.TemplateCompiler

- Direct Known Subclasses:
    GroovyTemplateCompiler

      public abstract class TemplateCompiler
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `TemplateCompiler.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.StringBuilder` | `compiledSource`
    `protected int` | `currentLine`
    `protected boolean` | `doNextScan`
    `protected TemplateParser` | `parser`
    `protected boolean` | `skipLineBreak`
    `protected TemplateParser.Token` | `state`
    `protected int` | `tagIndex`
    `protected java.util.Stack<TemplateCompiler.Tag>` | `tagsStack`
    `protected BaseTemplate` | `template`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateCompiler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `action(boolean absolute)`
    `BaseTemplate` | `compile(BaseTemplate template)`
    `BaseTemplate` | `compile(VirtualFile file)`
    `protected abstract void` | `end()`
    `protected abstract void` | `endTag()`
    `protected abstract void` | `expr()`
    `protected void` | `generate(BaseTemplate template)`
    `protected abstract void` | `head()`
    `protected void` | `markLine(int line)`
    `protected abstract void` | `message()`
    `protected abstract void` | `plain()`
    `protected void` | `print(java.lang.String text)`
    `protected void` | `println()`
    `protected void` | `println(java.lang.String text)`
    `protected abstract void` | `script()`
    `protected abstract java.lang.String` | `source()`
    `protected abstract void` | `startTag()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### compiledSource

          protected java.lang.StringBuilder compiledSource

    - #### template

          protected BaseTemplate template

    - #### parser

          protected TemplateParser parser

    - #### doNextScan

          protected boolean doNextScan

    - #### state

          protected TemplateParser.Token state

    - #### tagsStack

          protected java.util.Stack<TemplateCompiler.Tag> tagsStack

    - #### tagIndex

          protected int tagIndex

    - #### skipLineBreak

          protected boolean skipLineBreak

    - #### currentLine

          protected int currentLine

  - ### Constructor Detail

    - #### TemplateCompiler

          public TemplateCompiler()

  - ### Method Detail

    - #### compile

          public BaseTemplate compile(BaseTemplate template)

    - #### compile

          public BaseTemplate compile(VirtualFile file)

    - #### generate

          protected void generate(BaseTemplate template)

    - #### source

          protected abstract java.lang.String source()

    - #### head

          protected abstract void head()

    - #### end

          protected abstract void end()

    - #### plain

          protected abstract void plain()

    - #### script

          protected abstract void script()

    - #### expr

          protected abstract void expr()

    - #### message

          protected abstract void message()

    - #### action

          protected abstract void action(boolean absolute)

    - #### startTag

          protected abstract void startTag()

    - #### endTag

          protected abstract void endTag()

    - #### markLine

          protected void markLine(int line)

    - #### println

          protected void println()

    - #### print

          protected void print(java.lang.String text)

    - #### println

          protected void println(java.lang.String text)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly